@import url(//fonts.googleapis.com/css?family=Source+Sans+Pro:400,600,700&subset=latin,latin-ext);

$stampTextColor: #1e2a33 !default;
$stampTextActiveColor: #fff !default;
$stampTextTable: #7f8c8d !default;
$stampActiveColor: #e73c3c !default;
$stampHeaderBck: #1e2a33 !default;
$stampHeaderTextColor: #FFFFFF !default;
$stampFontFamily: 'Source Sans Pro', sans-serif !default;
$panelHeaderBck: #2c3e50 !default;
$panelHeaderTextColor: #FFFFFF !default;
$stampLogo: #fff image-url("admin_stamp/ND-logo-square.png") no-repeat 30px 0 !default;

html {
  background: #ecf0f1;
  font-family: $stampFontFamily;
}

body.active_admin {
  background: #ecf0f1;
  font-family: $stampFontFamily;
  padding-bottom: 80px;
}

#header {
  background: #ecf0f1;
  border: none;
  text-shadow: none;
  height: 40px;
  padding: 0;

  h1.site_title {
    background-color: white;
    background: $stampLogo;
    padding-left: 190px;
    color: $stampTextColor;
    height: 84px;
    width: 100%;
    padding: 0;
    margin: 0;
    display: block;
    background-size: 85%;
    text-indent: 0;
    a {
      height: 100%;
      width: 100%;
      text-indent: -999999px;
      display: inline-block;
    }
  }

  a {
    color: $stampTextColor;

    &:link {
      color: $stampTextColor;
    }
  }

  ul.tabs {
    padding: 0;
    font-size: 0;

    > li {
      &:hover > a, &.current > a {
        color: $stampTextActiveColor;
        background: $stampActiveColor;
        margin: -10px 0;
        border-radius: 0;
      }

      font-size: 12px;
      margin: 0;

      a {
        padding: 13px 20px;
        margin: 0;
      }

      &.has_nested {
        a {
          background-position: 93% 50%;
          border-radius: 0;
        }

        &:hover {
          a {
            background-color: $stampActiveColor;
            border: none;
            background-position: 93% 50%;
            border-radius: 0;
          }

          ul {
            background: $stampActiveColor;
            border: none;

            li a {
              color: white;
              border-radius: 0;
              &:hover {
                color: $stampTextColor;
              }
            }
          }
        }

        &.current a {
          background-color: $stampActiveColor;
          background-position: 93% 50%;
        }
      }
    }
  }

  #utility_nav {
    background: white;
    padding: 0;

    li {
      &#logout a {
        font-weight: bold;
        text-decoration: underline;

        &:hover {
          text-decoration: none;
        }
      }

      a:hover {
        background: none;
        color: $stampTextColor;
      }
    }
  }
}

#title_bar {
  background: $stampTextColor;
  text-shadow: none;
  border: none;
  padding: 15px 30px;
  border-bottom: 4px solid $stampActiveColor;
  margin: 0;

  h2 {
    color: $stampHeaderTextColor;
  }

  .action_items {
    a > {
      a, .dropdown_menu > a {
        background: $stampActiveColor;
        color: white;
        text-shadow: none;
        border: none;
        padding: 17px;
        font-size: 14px;
      }
    }

    span.action_item > {
      a, .dropdown_menu > a {
        background: $stampActiveColor;
        color: white;
        text-shadow: none;
        border: none;
        padding: 17px;
        font-size: 14px;
        border-radius: 0;
        box-shadow: none;
      }
    }

    a > {
      a:hover, .dropdown_menu > a:hover {
        background: darken($stampActiveColor, 10) !important;
      }
    }

    span.action_item > {
      a:hover, .dropdown_menu > a:hover {
        background: darken($stampActiveColor, 10) !important;
      }
    }
  }
}

#active_admin_content {
  .table_tools {
    height: 30px;
  }

  a.table_tools_button, .table_tools .dropdown_menu_button {
    color: $stampTextColor;
    background: white;
    padding: 7px 15px;
    font-weight: normal;
    text-shadow: none;
  }

  .table_tools_segmented_control li {
    a {
      color: $stampTextColor;
      background: white;
      padding: 7px 15px;
      font-weight: normal;
      text-shadow: none;
      border-color: #d3d8dc;

      span.count {
        color: $stampActiveColor;
      }
    }

    &.selected a {
      color: white;
      background-color: $stampActiveColor;

      span.count {
        color: white;
      }
    }
  }
}

table.index_table {
  border: 1px solid #d3d8dc;
  background: white;

  th {
    background: #f1f5f6;
    border: 1px #d3d8dc;
    border-style: none solid solid none;
    padding: 7px 10px;
    color: $stampTextColor;

    a {
      color: $stampTextColor;

      &:link, &:visited {
        color: $stampTextColor;
      }
    }

    &:last-child {
      border-right: none;
    }
  }

  td {
    color: $stampTextTable;

    a {
      color: $stampTextTable;
      display: inline-block;
      padding: 2px 3px;
      margin: -2px 0;

      &:link, &:visited {
        color: $stampTextTable;
        display: inline-block;
        padding: 2px 3px;
        margin: -2px 0;
      }

      &:hover, &:link:hover, &:visited:hover {
        color: white;
        background: $stampActiveColor;
      }
    }
  }

  tr.even td {
    background: #ecf0f1;
  }
}

.download_links {
  color: $stampTextTable;
  font-size: 12px;

  a {
    color: $stampActiveColor;
    font-weight: bold;
  }
}

.pagination_information {
  font-size: 12px;
  color: $stampTextTable;
}

.pagination {
  margin-top: -2px;

  a {
    font-family: $stampFontFamily;
    border: 1px solid #d3d8dc;
    background: #ecf0f1;
    text-shadow: none;
    font-size: 12px;
    font-weight: normal;
    padding: 4px 6px;
    margin-right: 1px;
  }

  span.page.current {
    font-family: $stampFontFamily;
    border: 1px solid #d3d8dc;
    background: #ecf0f1;
    text-shadow: none;
    font-size: 12px;
    font-weight: normal;
    padding: 4px 6px;
    margin-right: 1px;
    background: $stampActiveColor;
    color: white;
  }

  a:not(.disabled):hover {
    background: $stampActiveColor;
    color: white;
  }

  span.page.current {
    font-weight: 600;

    &:not(.disabled):hover {
      background: $stampActiveColor;
    }
  }

  .page.gap {
    display: none;
  }
}

.sidebar_section.panel {
  background: transparent;
  border: 0;
  box-shadow: none;
  margin: 0;
  form {
    .buttons {
      background: #f1f5f6;
      margin: 25px -15px -15px;
      padding: 10px 15px;
    }

    fieldset {
      margin-bottom: 0;
    }
  }

  > h3 {
    margin: 0;
    text-shadow: none;
    font-weight: normal;
    border-radius: 15px;
    font-size: .875rem;
    color: #1e2a33;
    background: white;
    padding: 7px 15px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1), 0 1px 0 0 rgba(255, 255, 255, 0.8) inset;
    border: solid 1px #c7c7c7;
    cursor: pointer;
    position: relative;
    line-height: 12px;
    &::after {
      content: ' ';
      position: absolute;
      width: 0;
      height: 0;
      border-width: 3px 3px 0;
      border-style: solid;
      border-color: #777 transparent;
      right: 12px;
      top: 45%;
    }

    &.active + .panel_contents {
      height: 100%;
      visibility: visible;
      margin-top: 10px;
    }
  }

  > .panel_contents {
    height: 0;
    visibility: hidden;
    padding: 0;
    transition: all .25s ease-in-out;
    position: relative;
    padding: 3px 15px 15px 15px;
    background: #fff;
    border: 3px solid #333;
    box-shadow: 1px 0 10px rgba(0, 0, 0, .25);
    &::before {
      content: '';
      border-top: 10px solid transparent;
      border-left: 10px solid transparent;
      border-right: 10px solid transparent;
      border-bottom: 10px solid #333;
      position: absolute;
      top: -23px;
      left: 45%;
    }
  }

  .filter_form_field label {
    color: #95a5a6;
    font-weight: normal;
    font-size: 13px;
    text-transform: uppercase;
    font-family: $stampFontFamily;
    padding: 7px 0;
  }
}

#footer {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background: white;
  padding: 15px 30px;
  font-size: 13px;
  color: $stampTextTable;
  border-top: 1px solid #d3d8dc;

  p {
    margin: 0;
    padding: 0;
  }
}

form input[type=submit] {
  background: $stampActiveColor;
  color: white;
  border: none;
  text-shadow: none;
  padding: 11px 20px;
  border-radius: 0;
}

a {
  &.button, &:link.button, &:visited.button {
    background: $stampActiveColor;
    color: white;
    border: none;
    text-shadow: none;
    padding: 11px 20px;
  }
}

form input[type=submit]:hover {
  background: darken($stampActiveColor, 10) !important;
}

a {
  &.button:hover, &:link.button:hover, &:visited.button:hover {
    background: darken($stampActiveColor, 10) !important;
  }
}

form {
  fieldset {
    &.buttons li.cancel a, &.actions li.cancel a {
      background: #ecf0f1;
      text-shadow: none;
      padding: 10px 20px;
      color: #95a5a6;
    }
  }

  &.filter_form a.clear_filters_btn {
    background: #ecf0f1;
    text-shadow: none;
    padding: 10px 20px;
    color: #95a5a6;
  }

  fieldset {
    &.buttons li.cancel a:hover, &.actions li.cancel a:hover {
      background: #fbfcfc !important;
    }
  }

  &.filter_form a.clear_filters_btn:hover {
    background: #fbfcfc !important;
  }

  fieldset.inputs {
    background: white;
    border: 1px solid #d3d8dc;
    position: relative;
    padding-top: 50px;

    legend {
      border-bottom: 1px solid #d3d8dc;
      position: absolute;
      top: 0;

      span {
        background: #f0f4f5;
        color: #5e6469;
        border: none;
        margin: 0;
        padding: 8px 15px;
        text-shadow: none;
        font-weight: bold;
      }
    }

    ol > li {
      label {
        padding-top: 7px;
        text-transform: uppercase;
      }

      &.boolean label {
        padding-top: 0px;
        margin-bottom: 15px;
      }
    }
  }
}

.panel {
  background: white;
  border: 1px solid #d3d8dc;
  position: relative;

  > h3 {
    background: #f0f4f5;
    color: $panelHeaderBck;
    padding: 8px 15px;
    text-shadow: none;
    font-weight: bold;
    border-style: none none solid;
  }
}

.attributes_table table {
  th, td {
    padding: 10px 0;
    font-family: $stampFontFamily;
    color: #95a5a6;
  }

  th {
    font-weight: normal;
    font-size: 13px;
    text-transform: uppercase;
  }
}

.comments form.active_admin_comment fieldset.inputs {
  border: none;
}

html {
  height: 100%;
  min-height: 100%;
}

body.logged_out {
  height: 100%;

  #footer {
    display: none;
  }

  #content_wrapper {
    margin-top: 150px;

    #active_admin_content {
      padding-bottom: 0;
      width: 100%;
      margin: 0 auto;
    }
  }

  #login {
    form fieldset {
      border: none;
    }

    > h2 {
      background: $stampActiveColor;
      font-family: $stampFontFamily;
      color: white;
      padding: 8px 15px;
    }

    fieldset.actions {
      background: #f1f5f6;
      margin: 0 -30px -17px;
      padding: 6px 30px;
    }

    a {
      margin-top: -25px;
    }
  }

  .flash {
    background: #f2ecbf;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    padding: 15px;
    border-bottom: 1px solid #dede8b;
    text-shadow: none;
  }
}

form {
  input {
    &[type=text], &[type=password], &[type=email], &[type=number], &[type=url], &[type=tel] {
      font-family: $stampFontFamily;
      padding: 5px 10px;
    }
  }

  textarea {
    font-family: $stampFontFamily;
    padding: 5px 10px;
  }

  &.filter_form .filter_form_field.filter_date_range input[type=text] {
    background-position: 100% 4px;
  }
}

body.logged_in .flashes .flash {
  position: inherit;
  top: 0;
  text-shadow: none;
}

strong, b {
  font-weight: 600;
}

.blank_slate_container .blank_slate {
  color: $stampTextTable;
}

form fieldset > ol > li fieldset ol li {
  clear: both;

  select {
    margin-top: 6px;
  }
}

#header {
  #tabs {
    width: 100%;
  }

  position: fixed;
  width: 12.5rem;
  left: 0;
  display: inline-block;
  height: 100%;
  margin: 0;

  ul.tabs {
    top: 0;
    display: block;
    clear: both;
    position: relative;
    height: auto;
    width: 100%;

    li {
      display: block;

      a {
        padding: 12px 20px;
        margin: 0;
        font-size: .9375rem;
        font-weight: 600;
        line-height: 1;
        text-transform: capitalize;
        display: block;
      }
    }
  }

  #utility_nav {
    display: inline-block;
    margin: 0;
    top: auto;
    bottom: 30px;
    position: absolute;
    overflow: hidden;

    li {
      display: block;
    }

    #current_user a {
      font-size: .8rem;
      float: left;
    }

    li#logout a {
      clear: both;
      float: left;
      text-decoration: none;
      border-radius: 0;
      background: #E05548;
      color: $stampTextActiveColor;
      padding: 17px;
      font-size: 12px;
      width: 100%;
      text-align: left;

      &:hover {
        background: #e77e74;
      }
    }
  }

  ul.tabs > li {
    &.current > a {
      text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.25);
      margin: 0;
    }

    &.has_nested {
      &.current a, a {
        background-image: none;
      }

      &:hover > a {
        background-image: none;
        background-color: $stampActiveColor;
        border-radius: 0;
      }
    }

    &:hover > a {
      margin: 0;
    }

    &.has_nested {
      &:after {
        right: 0;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
        border-width: 10px;
        top: 10px;
        z-index: 10000;
      }

      &:hover {
        &:after {
          border-right-color: darken($stampActiveColor, 5);
        }
      }

      ul {
        margin-top: 0;
        top: 0;
        left: 100%;
        padding: 0;
        min-height: 0;
        max-width: 10rem;
        background: darken($stampActiveColor, 5) !important;
        border-raidus: 0;

        li {
          margin: 0px;

          a {
            padding: 1rem;
            font-size: .875rem;
            text-align: center;
            background: darken($stampActiveColor, 5) !important;
            &:hover {
              color: #fff;
              text-decoration: underline;
            }
          }
        }
      }
    }
  }
}

a.table_tools_button, .table_tools .dropdown_menu_button {
  font-family: $stampFontFamily;
}

form.filter_form .filter_form_field.filter_date_range input[type=text] {
  width: 70px;
}

table.index_table td {
  padding: 5px 6px 4px 6px;
  a {
    display: inline;
    &:link, &:visited {
      display: inline;
    }
  }
}

#title_bar {
  margin: 0;
  position: fixed;
  left: 12.5rem;
  right: auto;
  width: calc(100vw - 12.5rem);
}

#titlebar_left, #titlebar_right {
  height: 50px;
  vertical-align: middle;
  display: inline-block;
}

div#titlebar_left {
  text-align: left;
  padding: 0 0rem;
  float: left;
}

.action-bar {
  z-index: 999;
  position: fixed;
  right: 0;
  top: 10px;
  padding: 1rem;
  background-color: $stampTextColor;
  border: none;
  border-radius: 0;
  margin: 0 !important;
  bottom: 100%;
  box-sizing: border-box;
}

form fieldset ol > li {
  padding: 5px;
}

li {
  &.boolean.input.optional label {
    width: calc(90% - 45px);
    float: right;
    text-align: left;
    clear: both;
    display: block;
  }

  &.sociable.input.optional {
    label:first-child {
      width: 100%;
      text-align: left;
      clear: both;
      display: block;
    }

    ol {
      padding: 0 1rem;
    }
  }
}

form fieldset {
  &.inputs ol > li {
    &.name-input {
      width: 50%;
      box-sizing: border-box;
      float: left;
      display: inline-block;

      label {
        width: 20%;
      }

      input {
        width: 70%;
      }
    }

    &.address-input {
      width: 45%;
      box-sizing: border-box;
      float: left;
      display: inline-block;
      clear: none;

      label {
        width: 22%;
        padding: .25rem .25rem 0 0;
      }

      input {
        width: 70%;
      }
    }
  }

  ol > li.has_many_container .has_many_fields {
    padding: 0 1rem;

    li {
      &.boolean.input.optional {
        width: 15%;
        float: left;
        display: inline-block;
        clear: none;

        label {
          width: 100%;
          text-align: center;
        }
      }

      &.handle {
        padding: .25rem 1rem;
      }
    }
  }

  &.inputs ol > li label {
    text-transform: none;
    text-align: right;
    padding: 0 1rem 0 0;
    width: 10%;
  }
}

body.logged_out #login form fieldset {
  label {
    &[for="admin_user_email"], &[for="admin_user_password"] {
      width: 20% !important;
    }
  }

  input {
    &[type=text], &[type=email], &[type=password] {
      width: 65%;
    }
  }
}

form fieldset.inputs legend span {
  background: #f0f4f5;
  color: #5E6469;
  border: none;
  margin: 0;
  padding: 8px 15px;
  box-shadow: none;
  border-radius: 0;
  text-shadow: none;
  font-weight: bold;
  font-size: 1.5rem;
}

div#cke_page_sidebar {
  width: 80%;
}

#active_admin_content {
  padding: 150px 30px;
  width: calc(100vw - 12.5rem);
  margin-left: 12.5rem;
  font-size: .9375rem;
  box-sizing: border-box;
  position: relative;
  #sidebar {
    position: absolute;
    right: 5%;
    margin-left: 0;
  }
}

#active_admin_content #main_content_wrapper #main_content {
    margin-right: 0px;
}

.flashes {
  position: absolute;
  z-index: 100;
  width: calc(100vw - 12.5rem);
  display: block;
  right: 0;
  top: 84px;
}

form {
  fieldset {
    &.buttons li.cancel a, &.actions li.cancel a {
      background: #ecf0f1;
      box-shadow: none;
      border-radius: 2px;
      text-shadow: 0 1px 0 rgba(255, 255, 255, 0.8);
      box-shadow: inset 0 -1px 0 1px rgba(0, 0, 0, 0.1), inset 0 -10px 20px rgba(0, 0, 0, 0.1);
      padding: 10px 20px;
      color: #95a5a6;
    }
  }

  &.filter_form a.clear_filters_btn {
    background: #ecf0f1;
    box-shadow: none;
    border-radius: 2px;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.8);
    box-shadow: inset 0 -1px 0 1px rgba(0, 0, 0, 0.1), inset 0 -10px 20px rgba(0, 0, 0, 0.1);
    padding: 10px 20px;
    color: #95a5a6;
  }
}

.button {
  border-radius: 2px !important;
  box-shadow: inset 0 -1px 0 1px rgba(0, 0, 0, 0.1), inset 0 -10px 20px rgba(0, 0, 0, 0.1) !important;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.2) !important;
}

button {
  &[value=drafted], &[value=published] {
    box-shadow: none;
    border-radius: 2px;
    background: $stampActiveColor;
    color: $stampTextActiveColor;
    border: none;
    text-shadow: none;
    padding: 11px 20px;
    box-shadow: inset 0 -1px 0 1px rgba(0, 0, 0, 0.1), inset 0 -10px 20px rgba(0, 0, 0, 0.1);
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.2);
  }

  &[value=drafted]:hover, &[value=published]:hover {
    background: darken($stampActiveColor, 10) !important;
    background-image: none !important;
  }
}

body.logged_in .flashes .flash {
  width: 100%;
}

.sortable-tree {
  width: 95%;
  float: right;
  padding: 1rem;
}

#footer {
  z-index: 9999;
  padding: 5px 30px;
}

.state-label.declined {
  background: #f99;
  color: #c00;
}

#search-status-_sidebar_section {
  display: none;
}
